/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:ital,wght,MONO@0,300..800,1;1,300..800,1&family=Major+Mono+Display&display=swap');

:root {
  --text: #121312;
  --background: #fae3ac;
  --primary: #b2e50f;
  --secondary: #d12128;
  --accent: #2886d4;
}

header, footer {
  text-align: center;
}

body {
  font-family: 'Google Sans Code', monospace;
  color: var(--text);
  background-color: var(--background);
  height: 100%;
  margin: 0 auto;
  padding: 5%;
}

h1, h2, h3, h4, h5 {
  font-family: 'Major Mono Display', sans-serif;
  color: var(--text);
}

html {
  font-size: 100%;
  background-color: var(--secondary);
} /* 16px */

h1 {font-size: 3.053rem; /* 48.8px */}

h2 {font-size: 2.442rem; /* 39.04px */}

h3 {font-size: 1.954rem; /* 31.2px */}

h4 {font-size: 1.563rem; /* 24.96px */}

h5 {font-size: 1.250rem; /* 20px */}

small {font-size: 0.800rem; /* 12.8px */}

a {
  color: var(--accent);
}

.error {
  font-weight: bold;
  color: var(--secondary);
}

.pod {
  font-weight: bold;
  color: var(--accent);
}

#page {
  width: 50%;
  margin: 0 auto;
}

#page code {
  display: block;
  background-color: var(--text);
  color: var(--primary);
  border-radius: 10px;
  padding: 20px;
  line-height: 150%;
}

#page code a {
  font-size: 1.5em;
}

#menu {
  display: flex;
  flex-direction: row;
  gap: 0 10%;
  width: 50%;
  margin: 0 auto;
  justify-content: center;
}

#transFlag {
  height: 50px;
  width: auto;
}

#logo {
  height: 100px;
  width: auto;
}

.pageNumber {
  width: 5%;
}

.navBar {
  display: flex;
  flex-direction: row;
  gap: 0 5%;
  width: 50%;
  margin: 0 auto;
  justify-content: center;
}

.navBar img {
  display: block;
  width: 50px;
  height: auto;
  -webkit-user-select: none; /* Safari */
  user-select: none;         /* Standard syntax */
  -webkit-user-drag: none;   /* Safari and Chrome */
  cursor: pointer;
}

.navBar input {
  display: block;
  width: 50px;
  text-align: center;
  font-family: 'Google Sans Code', monospace;
  background-color: var(--text);
  color: var(--primary);
  border-radius: 10px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

img.flip {
  transform: scaleX(-1);
}

@media (max-width: 900px) {
  #page {
    width: 90%;
  }
}

@media (min-width: 900px) {
  body {
    width: 80%;
  }
}

